Echeck = Checkbox();
Echeck:SetPosition( 20, 840 );
Echeck:SetText( "Enable Effects" );
Echeck.CheckedChanged = function()
	if Echeck:IsChecked() == true then
		Effects = "1"
	elseif Echeck:IsChecked() == false then
		Effects = "0"
	end
end

function Echeck:MouseEnter()
	HText:SetText( "Help: Enable on-screen effect tracking. Type /hudplus effects for more info." )
end

function Echeck:MouseLeave()
	HText:SetText( "Help: " )
end

Eboxwin = Turbine.UI.Control();
Eboxwin:SetSize( 300, 181 );
Eboxwin:SetPosition( 100, 840 );
Eboxwin:SetBackground( "CajePlugins/HUDPlus/Resources/Listbox.tga" );
Eboxwin:SetVisible( true );
Eboxwin:SetMouseVisible( false );
Eboxwin:SetZOrder( -1 );
Eboxwin:SetParent( Swindow );

EboxScroller = Turbine.UI.Lotro.ScrollBar()
EboxScroller:SetVisible( true )
EboxScroller:SetSize( 10, 178 )
EboxScroller:SetParent( Eboxwin )
EboxScroller:SetZOrder( 1 )
EboxScroller:SetOrientation( Turbine.UI.Orientation.Vertical );
EboxScroller:SetPosition( 290, 0 );

Ebox = Turbine.UI.ListBox();
Ebox:SetParent( Eboxwin );
Ebox:SetPosition( 2, 2 );
Ebox:SetSize( 298, 178 );
Ebox:SetVisible( true );
Ebox:SetMouseVisible( false );
Ebox:SetVerticalScrollBar( EboxScroller )
Ebox.SelectedIndexChanged = function()
	cursel = Ebox:GetSelectedItem()
	cursel:SetBackColor( cursorblue )
	for i = 1, Ebox:GetItemCount() do
		exam = Ebox:GetItem( i )
		if exam ~= cursel then
			exam:SetBackColor( black )
		end
	end
end

Dockwin = Turbine.UI.Window();
Dockwin:SetSize( displayWidth, 30 );
Dockwin:SetVisible( true );
Dockwin:SetMouseVisible( false );

Dockwin.AddNewDocked = function( Effect, Color, num )
	Effect.Dock:SetPosition( displayWidth - ( 30 * num ), 0 )
	Effect.Dock:SetVisible( true )
	Effect.Dock:SetMouseVisible( true )
	Effect.Dock:SetBackColor( Color )
end

Dockwin.RemoveDocked = function( index )
	for i = 1, EffectNumber do
		if Editwin[i].num ~= nil and Editwin[i].num > index then
		Editwin[i].num = Editwin[i].num - 1
		Editwin[i].Dock:SetLeft( Editwin[i].Dock:GetLeft() + 30 )
		end
	end
	Dismissednum = Dismissednum - 1
end

Ebox.AddNewItem = function( EffectName, ScreenName, VisCriteria, Fontchoice, Abspres, Dis, Color, num )
	if NewWindow.Text:GetText() ~= "" and NewWindow.VisCrit.Text:GetText() ~= "Choose One" then
		Editwin[EffectNumber + 1] = Effectwindowclass()
		par = Editwin[EffectNumber + 1]
		Ebox:AddItem( par )

		par.EffectName = EffectName --VAR1
		par.ScreenName = ScreenName --VAR2
		par.Text:SetText( par.EffectName )
		par.Text2:SetText( par.ScreenName )

		if par.ScreenName ~= nil and par.ScreenName ~= "" then
		par.Warning:SetText( par.ScreenName )
		else
		par.Warning:SetText( par.EffectName )
		end

		par.rcomp = Color.R
		par.gcomp = Color.G
		par.bcomp = Color.B
		par.ColorR:SetValue( Color.R * 255 )
		par.ColorG:SetValue( Color.G * 255 )
		par.ColorB:SetValue( Color.B * 255 )
		par.RColorL:SetText( "Red - "..math.floor((Color.R * 255 ) ))
		par.GColorL:SetText( "Green - "..math.floor((Color.G * 255 ) ))
		par.BColorL:SetText( "Blue - "..math.floor((Color.B * 255 ) ))
		par.Color = Turbine.UI.Color( par.rcomp, par.gcomp, par.bcomp )
		par.Warning:SetForeColor( par.Color )
		par.Dock:SetBackColor( par.Color )

		par.VisCriteria = VisCriteria --VAR3
		par.Fontchoice = Fontchoice --VAR4
		par.VisCrit.Text:SetText( par.VisCriteria )
		par.FontChoice.Text:SetText( par.Fontchoice )
		par.Abspres = Abspres
		par.Dis = Dis

		if par.Abspres == 1 then
		par.PresCheck:SetChecked( true )
		elseif par.Abspres == 0 then
		par.PresCheck:SetChecked( false )
		end

		if par.Dis == 1 then
		par.DisCheck:SetChecked( true )
		elseif par.Dis == 0 then
		par.DisCheck:SetChecked( false )
		end

		par.Donebutton.MouseClick();

		par.Warning:SetFontStyle( Turbine.UI.FontStyle.Outline )
		par.Text:SetText( par.EffectName )
		par.Text2:SetText( par.ScreenName )

		NewWindow.VisCrit.Text:SetText( "Choose One" )
		NewWindow.PresCheck:SetChecked( false )
		NewWindow.DisCheck:SetChecked( false )
		par.Window:SetVisible( false )
		EffectNumber = EffectNumber + 1
	elseif DataLoading2 ~= "0" then
		Editwin[num] = Effectwindowclass()
		par = Editwin[num]
		par:SetText( EffectName )
		Ebox:AddItem( par )

		par.EffectName = EffectName --VAR1
		par.ScreenName = ScreenName --VAR2
		par.Text:SetText( par.EffectName )
		par.Text2:SetText( par.ScreenName )

		if par.ScreenName ~= nil and par.ScreenName ~= "" then
		par.Warning:SetText( par.ScreenName )
		else
		par.Warning:SetText( par.EffectName )
		end

		par.rcomp = Color.R
		par.gcomp = Color.G
		par.bcomp = Color.B
		par.ColorR:SetValue( Color.R * 255 )
		par.ColorG:SetValue( Color.G * 255 )
		par.ColorB:SetValue( Color.B * 255 )
		par.RColorL:SetText( "Red - "..math.floor((Color.R * 255 ) ))
		par.GColorL:SetText( "Green - "..math.floor((Color.G * 255 ) ))
		par.BColorL:SetText( "Blue - "..math.floor((Color.B * 255 ) ))
		par.Color = Turbine.UI.Color( par.rcomp, par.gcomp, par.bcomp )
		par.Warning:SetForeColor( par.Color )
		par.Dock:SetBackColor( par.Color )

		par.VisCriteria = VisCriteria --VAR3
		par.Fontchoice = Fontchoice --VAR4
		par.VisCrit.Text:SetText( par.VisCriteria )
		par.FontChoice.Text:SetText( par.Fontchoice )
		par.Abspres = Abspres
		par.Dis = Dis

		if par.Abspres == 1 then
		par.PresCheck:SetChecked( true )
		elseif par.Abspres == 0 then
		par.PresCheck:SetChecked( false )
		end

		if par.Dis == 1 then
		par.DisCheck:SetChecked( true )
		elseif par.Dis == 0 then
		par.DisCheck:SetChecked( false )
		end


		par.Donebutton.MouseClick();					

		NewWindow.VisCrit.Text:SetText( "Choose One" )
		NewWindow.FontChoice.Text:SetText( "30-point" )
		NewWindow.PresCheck:SetChecked( false )
		NewWindow.DisCheck:SetChecked( false )
		par.Window:SetVisible( false )
	end
end

Addbutton = Turbine.UI.Lotro.Button();
Addbutton:SetSize( 80, 30 );
Addbutton:SetText( "Add" );
Addbutton:SetVisible( true );
Addbutton:SetParent( Swindow );
Addbutton:SetPosition( 410, 840 );
Addbutton.MouseClick = function()
	if Editwin:IsVisible() ~= true then
	Editwin:SetVisible( true )
	NewWindow:SetVisible( true )
	end
end

Delbutton = Turbine.UI.Lotro.Button();
Delbutton:SetSize( 80, 30 );
Delbutton:SetText( "Delete" );
Delbutton:SetVisible( true );
Delbutton:SetParent( Swindow );
Delbutton:SetPosition( 410, 900 );
Delbutton.MouseClick = function()
	if Editwin:IsVisible() ~= true then
		if Ebox:GetSelectedIndex() ~= 0 then
		--Keeping any effects that have to be moved in line functioning
			if Editwin[Ebox:GetSelectedIndex()].Dismissed == 1 then
				Dismissednum = Dismissednum - 1
				wasdocked = 1
				dockednum = Editwin[Ebox:GetSelectedIndex()].num
			else wasdocked = 0
			end
			for i = 1, EffectNumber do
				if i == Ebox:GetSelectedIndex() then
					Editwin[i].Warning:SetVisible( false )
					Editwin[i].Warning = nil
					Editwin[i].Dock:SetVisible( false )
					Editwin[i].Dock = nil
					Editwin[i].WarningWin:SetVisible( false )
					Editwin[i].WarningWin = nil
					Editwin[i].Scan = nil
					Editwin[i].X = nil
					Editwin[i].Y = nil
				elseif i > Ebox:GetSelectedIndex() then
					
					Editwin[i - 1] = Effectwindowclass()

					Editwin[i - 1].EffectName = Editwin[i].EffectName

					Editwin[i - 1].ScreenName = Editwin[i].ScreenName

					Editwin[i - 1]:SetText( Editwin[i].EffectName )

					Editwin[i - 1].VisCriteria = Editwin[i].VisCriteria

					Editwin[i - 1].Abspres = Editwin[i].Abspres

					Editwin[i - 1].Dis = Editwin[i].Dis
					Editwin[i - 1].Dismissed = Editwin[i].Dismissed
					Editwin[i - 1].num = Editwin[i].num
	
					Editwin[i - 1].Text:SetText( Editwin[i].EffectName )

					Editwin[i - 1].Text2:SetText( Editwin[i].ScreenName )
	
					Editwin[i - 1].VisCrit.Text:SetText( Editwin[i].VisCriteria )

					Editwin[i - 1].X = Editwin[i].WarningWin:GetLeft()
					Editwin[i - 1].Y = Editwin[i].WarningWin:GetTop()			

					Editwin[i - 1].WarningWin:SetLeft( Editwin[i - 1].X )
					Editwin[i - 1].WarningWin:SetTop( Editwin[i - 1].Y )

					Editwin[i - 1].rcomp = Editwin[i].rcomp
					Editwin[i - 1].gcomp = Editwin[i].gcomp
					Editwin[i - 1].bcomp = Editwin[i].bcomp
					Editwin[i - 1].Color = Editwin[i].Color
					Editwin[i - 1].Warning:SetForeColor( Editwin[i - 1].Color )
					Editwin[i - 1].Dock:SetBackColor( Editwin[i - 1].Color )

					Editwin[i - 1].ColorR:SetValue( Editwin[i - 1].rcomp * 255 )
					Editwin[i - 1].ColorG:SetValue( Editwin[i - 1].gcomp * 255 )
					Editwin[i - 1].ColorB:SetValue( Editwin[i - 1].bcomp * 255 )
					Editwin[i - 1].RColorL:SetText( "Red - "..math.floor((Editwin[i - 1].rcomp * 255 ) ))
					Editwin[i - 1].GColorL:SetText( "Green - "..math.floor((Editwin[i - 1].gcomp * 255 ) ))
					Editwin[i - 1].BColorL:SetText( "Blue - "..math.floor((Editwin[i - 1].bcomp * 255 ) ))
					

					if Editwin[i].Abspres == 1 then
						Editwin[i - 1].PresCheck:SetChecked( true )
					elseif Editwin[i].Abspres == 0 then
						Editwin[i - 1].PresCheck:SetChecked( false )
					end

					if Editwin[i].Dis == 1 then
						Editwin[i - 1].DisCheck:SetChecked( true )
					elseif Editwin[i].Dis == 0 then
						Editwin[i - 1].DisCheck:SetChecked( false )
					end
					
					if Editwin[i - 1].ScreenName ~= nil and Editwin[i - 1].ScreenName ~= "" then
					Editwin[i - 1].Warning:SetText( Editwin[i].ScreenName )
					else
					Editwin[i - 1].Warning:SetText( Editwin[i].EffectName )
					end

					Ebox:RemoveItem( Editwin[i] )
					Ebox:AddItem( Editwin[i - 1] )
					Editwin[i].Warning:SetVisible( false )
					Editwin[i].Warning = nil
					Editwin[i].Dock:SetVisible( false )
					Editwin[i].Dock = nil
					Editwin[i].WarningWin:SetVisible( false )
					Editwin[i].WarningWin = nil
					Editwin[i].Scan = nil
					Editwin[i] = nil
				end
			end
			for i = 1, EffectNumber - 1 do
				if Editwin[i].num >= dockednum then 
					Editwin[i].num = Editwin[i].num - 1
					Editwin[i].Dock:SetLeft( 1600 - (Editwin[i].num * 30) )
					Editwin[i].Dock:SetVisible( true )
				elseif Editwin[i].num <= dockednum then 
					Editwin[i].Dock:SetLeft( 1600 - (Editwin[i].num * 30) )
					Editwin[i].Dock:SetVisible( true )
				end
			end
				
		end
		Ebox:RemoveItem( Ebox:GetSelectedItem() )
		Editwin[Ebox:GetSelectedIndex()] = nil
		EffectNumber = EffectNumber - 1
		finished = 0
	end
end
	

--Effects

EffectNumber = 0

Editbutton = Turbine.UI.Lotro.Button();
Editbutton:SetSize( 80, 30 );
Editbutton:SetText( "Edit" );
Editbutton:SetVisible( true );
Editbutton:SetParent( Swindow );
Editbutton:SetPosition( 410, 870 );
Editbutton.MouseClick = function()
	if Editwin:IsVisible() ~= true then
		if Ebox:GetSelectedIndex() ~= 0 then
		Editwin:SetVisible( true )
		Sel = Ebox:GetSelectedItem()
		Sel.Window:SetVisible( true )
		end
	end
end

Editwin = Turbine.UI.Lotro.Window();
Editwin:SetSize( 600, 300 );
Editwin:SetPosition( 300, 200 );
Editwin:SetVisible( false );
Editwin:SetMouseVisible( true );
Editwin:SetText( "Effects" );
Editwin:SetZOrder( 11 );

--Effect window master class

Effectwindowclass = class( Turbine.UI.Label );
function Effectwindowclass:Constructor()
	Turbine.UI.Label.Constructor( self )

	self:SetBackColor( black )
	self:SetSize( 297, 13 );
	self:SetVisible( true );
	self:SetText( NewWindow.Text:GetText() )
	self.MouseEnter = function( sender )
		sender:SetBackColor( cursorblue )
	end
	self.MouseLeave = function( sender )
		if Ebox:GetSelectedItem() ~= sender then
			sender:SetBackColor( black )
		end
	end

	self.ID = EffectNumber + 1

	self.WarningWin = Turbine.UI.Window();
	self.WarningWin:SetVisible( false );
	self.WarningWin:SetMouseVisible( false )
	self.WarningWin:SetSize( 450, 80 );
	self.WarningWin:SetPosition( 300, 300 );

	self.Warning = Turbine.UI.Label();
	self.Warning:SetFont( Turbine.UI.Lotro.Font.TrajanProBold30 )
	self.Warning:SetVisible( true )
	self.Warning:SetMouseVisible( true )
	self.Warning:SetForeColor( red )
	self.Warning:SetFontStyle( Turbine.UI.FontStyle.Outline )
	self.Warning:SetOutlineColor( black )
	self.Warning:SetSize( 2000, 2000 );
	self.Warning:SetParent( self.WarningWin )
	self.Warning.MouseDoubleClick = function()
		if self.Dis == 1 then
		Dismissednum = Dismissednum + 1
		self.num = Dismissednum
		Color = self.Color
		Dockwin.AddNewDocked( self, Color, self.num )
		self.Dismissed = 1
		self.WarningWin:SetVisible( false )
		self.Warning:SetMouseVisible( false )
		end
	end

	self.Warning.DragStart = function()
		self.WarningWin.PosX = self.WarningWin:GetLeft()
		self.WarningWin.PosY = self.WarningWin:GetTop()
		MousePosX = Turbine.UI.Display.GetMouseX()
		MousePosY = Turbine.UI.Display.GetMouseY()
		self.WarningWin.XOffset = ( ( MousePosX - self.WarningWin.PosX ) )
		self.WarningWin.YOffset = ( ( MousePosY - self.WarningWin.PosY ) )
	end
	self.Warning.Drag = function()
		MousePosX = Turbine.UI.Display.GetMouseX()
		MousePosY = Turbine.UI.Display.GetMouseY()
		self.WarningWin:SetLeft( ( MousePosX - self.WarningWin.XOffset ) )
		self.WarningWin:SetTop( ( MousePosY - self.WarningWin.YOffset ) )
	end
	self.Warning.MouseDown = function()
		self.Warning:DragStart()
		if Optoverride == "1"
		then self.Warning.Dragging = "1"
		end
	end
	self.Warning.MouseUp = function()
		if Optoverride == "1"
		then self.Warning.Dragging = "0"
		end
	end

	self.Scan = function()
		self.Pres = "0"
		for i = 1, EffectList:GetCount() do
			Effect = EffectList:Get( i )
			EName = Effect:GetName()
			if EName == self.EffectName  then
				self.Pres = "1"
			end
		end
		if self.Abspres == 1 and self.Dismissed ~= 1 then
			if self.Pres == "1" then
				if self.VisCriteria == "Out of Combat" and Player:IsInCombat() == false then
					self.WarningWin:SetVisible( true )
				elseif self.VisCriteria == "In Combat" and Player:IsInCombat() == true then
					self.WarningWin:SetVisible( true )
				elseif self.VisCriteria == "Always" then
					self.WarningWin:SetVisible( true )
				else self.WarningWin:SetVisible( false )
				end
			else
			self.WarningWin:SetVisible( false )
			end
		elseif self.Abspres == 0  and self.Dismissed ~= 1 then
			if self.Pres == "0" then
				if self.VisCriteria == "Out of Combat" and Player:IsInCombat() == false then
					self.WarningWin:SetVisible( true )
				elseif self.VisCriteria == "In Combat" and Player:IsInCombat() == true then
					self.WarningWin:SetVisible( true )
				elseif self.VisCriteria == "Always" then
					self.WarningWin:SetVisible( true )
				else self.WarningWin:SetVisible( false )
				end
			else
			self.WarningWin:SetVisible( false )
			end
		end
		if Effects == "0" or HUDVis == "0" then
			self.WarningWin:SetVisible( false )
		end
	end

	self.Window = Turbine.UI.Window()
	self.Window:SetVisible( false )
	self.Window:SetMouseVisible( false )
	self.Window:SetSize( 550, 300 );
	self.Window:SetParent( Editwin );

	self.Text = Textbox();
	self.Text:SetVisible( true )
	self.Text:SetPosition( 40, 40 );
	self.Text:SetParent( self.Window );

	self.Text2 = Textbox();
	self.Text2:SetVisible( true )
	self.Text2:SetPosition( 40, 80 );
	self.Text2:SetParent( self.Window );

	self.TextLabel = Turbine.UI.Label();
	self.TextLabel:SetVisible( true )
	self.TextLabel:SetSize( 100, 30 );
	self.TextLabel:SetText( "Effect Name" )
	self.TextLabel:SetMouseVisible( false )
	self.TextLabel:SetParent( self.Window );
	self.TextLabel:SetPosition( 230, 50 );

	self.TextLabel2 = Turbine.UI.Label();
	self.TextLabel2:SetVisible( true )
	self.TextLabel2:SetSize( 100, 30 );
	self.TextLabel2:SetText( "On-screen Name (Optional)" )
	self.TextLabel2:SetMouseVisible( false )
	self.TextLabel2:SetParent( self.Window );
	self.TextLabel2:SetPosition( 230, 90 );

	self.PresCheck = Checkbox();
	self.PresCheck:SetParent( self.Window )
	self.PresCheck:SetVisible( true )
	self.PresCheck:SetText( "Absent/  Present" )
	self.PresCheck:SetPosition( 485, 90 );

	self.DisCheck = Checkbox();
	self.DisCheck:SetParent( self.Window )
	self.DisCheck:SetVisible( true )
	self.DisCheck:SetText( "Dismiss" )
	self.DisCheck:SetPosition( 485, 35 );
	self.DisCheck.CheckedChanged = function()
		if self.DisCheck:IsChecked() == false and self.Dismissed == 1 then
		Dockwin.RemoveDocked( self.num )
		self.Dock:SetVisible( false )
		self.Dock:SetMouseVisible( false )
		self.Warning:SetMouseVisible( true )
		self.Dismissed = 0
		self.num = nil
		self.WarningWin:SetVisible( true )
		self.Scan()
		end
	end

	self.Dock = Turbine.UI.Control();
	self.Dock:SetParent( Dockwin )
	self.Dock:SetSize( 30, 30 );
	self.Dock:SetBackColor( red )
	self.Dock:SetVisible( false )
	self.Dock.MouseDoubleClick = function()
		Dockwin.RemoveDocked( self.num )
		self.Dock:SetVisible( false )
		self.Dock:SetMouseVisible( false )
		self.Warning:SetMouseVisible( true )
		self.Dismissed = 0
		self.num = nil
		self.WarningWin:SetVisible( true )
		self.Scan()
	end
	self.Dockfront = Turbine.UI.Control();
	self.Dockfront:SetParent( self.Dock )
	self.Dockfront:SetSize( 30, 30 );
	self.Dockfront:SetVisible( true )
	self.Dockfront:SetMouseVisible( false )
	self.Dockfront:SetBackground( "CajePlugins/HUDPlus/Resources/Dockfront.tga" )
	self.Dockfront:SetBlendMode( Turbine.UI.BlendMode.Overlay )
		
		

	self.VisCrit = Turbine.UI.Control();
	self.VisCrit:SetParent( self.Window );
	self.VisCrit:SetSize( 150, 30 );
	self.VisCrit:SetPosition( 330, 100 );
	self.VisCrit:SetZOrder( -1 )
	self.VisCrit:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxface.tga" );
	self.VisCrit.MouseClick = function()
		if self.VisCrit1:IsVisible() == false then
			self.VisCrit1:SetVisible( true )
			self.VisCrit2:SetVisible( true )
			self.VisCrit3:SetVisible( true )
			self.VisCrit1.Text:SetVisible( true )
			self.VisCrit2.Text:SetVisible( true )
			self.VisCrit3.Text:SetVisible( true )
		elseif self.VisCrit1:IsVisible() == true then
			self.VisCrit1:SetVisible( false )
			self.VisCrit2:SetVisible( false )
			self.VisCrit3:SetVisible( false )
			self.VisCrit1.Text:SetVisible( false )
			self.VisCrit2.Text:SetVisible( false )
			self.VisCrit3.Text:SetVisible( false )	
		end
	end
			
	self.VisCrit1 = Turbine.UI.Control();
	self.VisCrit1:SetSize( 150, 30 );
	self.VisCrit1:SetPosition( 330, 130 );
	self.VisCrit1:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.VisCrit1:SetParent( self.Window );
	self.VisCrit1:SetVisible( false );
	self.VisCrit1:SetZOrder( -1 );
	self.VisCrit1.MouseClick = function()
			self.VisCrit1:SetVisible( false )
			self.VisCrit2:SetVisible( false )
			self.VisCrit3:SetVisible( false )
			self.VisCrit1.Text:SetVisible( false )
			self.VisCrit2.Text:SetVisible( false )
			self.VisCrit3.Text:SetVisible( false )
			self.VisCrit.Text:SetText( self.VisCrit1.Text:GetText() )
	end		

	self.VisCrit2 = Turbine.UI.Control();
	self.VisCrit2:SetSize( 150, 30 );
	self.VisCrit2:SetPosition( 330, 160 );
	self.VisCrit2:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.VisCrit2:SetParent( self.Window );
	self.VisCrit2:SetVisible( false );
	self.VisCrit2:SetZOrder( -1 );
	self.VisCrit2.MouseClick = function()
			self.VisCrit1:SetVisible( false )
			self.VisCrit2:SetVisible( false )
			self.VisCrit3:SetVisible( false )
			self.VisCrit1.Text:SetVisible( false )
			self.VisCrit2.Text:SetVisible( false )
			self.VisCrit3.Text:SetVisible( false )
			self.VisCrit.Text:SetText( self.VisCrit2.Text:GetText() )
	end

	self.VisCrit3 = Turbine.UI.Control();
	self.VisCrit3:SetSize( 150, 30 );
	self.VisCrit3:SetPosition( 330, 190 );
	self.VisCrit3:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxend.tga" );
	self.VisCrit3:SetParent( self.Window );
	self.VisCrit3:SetVisible( false );
	self.VisCrit3:SetZOrder( -1 );
	self.VisCrit3.MouseClick = function()
			self.VisCrit1:SetVisible( false )
			self.VisCrit2:SetVisible( false )
			self.VisCrit3:SetVisible( false )
			self.VisCrit1.Text:SetVisible( false )
			self.VisCrit2.Text:SetVisible( false )
			self.VisCrit3.Text:SetVisible( false )
			self.VisCrit.Text:SetText( self.VisCrit3.Text:GetText() )
	end

	self.VisCrit.Text = Dropdownlabel();
	self.VisCrit.Text:SetPosition( 345, 110 );
	self.VisCrit.Text:SetVisible( true );
	self.VisCrit.Text:SetText( "Choose One" )
	self.VisCrit.Text:SetParent( self.Window )
	self.VisCrit.Text:SetZOrder( -1 )

	self.VisCrit1.Text = Dropdownlabel();
	self.VisCrit1.Text:SetPosition( 345, 140 );
	self.VisCrit1.Text:SetText( "Out of Combat" )
	self.VisCrit1.Text:SetParent( self.Window )
	self.VisCrit1.Text:SetZOrder( -1 )

	self.VisCrit2.Text = Dropdownlabel();
	self.VisCrit2.Text:SetPosition( 345, 170 );
	self.VisCrit2.Text:SetText( "In Combat" )
	self.VisCrit2.Text:SetParent( self.Window )
	self.VisCrit2.Text:SetZOrder( -1 )

	self.VisCrit3.Text = Dropdownlabel();
	self.VisCrit3.Text:SetPosition( 345, 200 );
	self.VisCrit3.Text:SetText( "Always" )
	self.VisCrit3.Text:SetParent( self.Window )
	self.VisCrit3.Text:SetZOrder( -1 )


	self.FontChoice = Turbine.UI.Control();
	self.FontChoice:SetParent( self.Window );
	self.FontChoice:SetSize( 150, 30 );
	self.FontChoice:SetPosition( 330, 40 );
	self.FontChoice:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxface.tga" );
	self.FontChoice.MouseClick = function()
		if self.FontChoice1:IsVisible() == false then
			self.FontChoice1:SetVisible( true )
			self.FontChoice2:SetVisible( true )
			self.FontChoice3:SetVisible( true )
			self.FontChoice4:SetVisible( true )
			self.FontChoice5:SetVisible( true )
			self.FontChoice6:SetVisible( true )
			self.FontChoice1.Text:SetVisible( true )
			self.FontChoice2.Text:SetVisible( true )
			self.FontChoice3.Text:SetVisible( true )
			self.FontChoice4.Text:SetVisible( true )
			self.FontChoice5.Text:SetVisible( true )
			self.FontChoice6.Text:SetVisible( true )
		elseif self.FontChoice1:IsVisible() == true then
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )	
		end
	end
			
	self.FontChoice1 = Turbine.UI.Control();
	self.FontChoice1:SetSize( 150, 30 );
	self.FontChoice1:SetPosition( 330, 70 );
	self.FontChoice1:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.FontChoice1:SetParent( self.Window );
	self.FontChoice1:SetVisible( false );
	self.FontChoice1:SetZOrder(10 )
	self.FontChoice1.MouseClick = function()
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )
			self.FontChoice.Text:SetText( self.FontChoice1.Text:GetText() )
	end		

	self.FontChoice2 = Turbine.UI.Control();
	self.FontChoice2:SetSize( 150, 30 );
	self.FontChoice2:SetPosition( 330, 100 );
	self.FontChoice2:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.FontChoice2:SetParent( self.Window );
	self.FontChoice2:SetVisible( false );
	self.FontChoice2:SetZOrder( 10 )
	self.FontChoice2.MouseClick = function()
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )
			self.FontChoice.Text:SetText( self.FontChoice2.Text:GetText() )
	end

	self.FontChoice3 = Turbine.UI.Control();
	self.FontChoice3:SetSize( 150, 30 );
	self.FontChoice3:SetPosition( 330, 130 );
	self.FontChoice3:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.FontChoice3:SetParent( self.Window );
	self.FontChoice3:SetVisible( false );
	self.FontChoice3:SetZOrder( 10 )
	self.FontChoice3.MouseClick = function()
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )
			self.FontChoice.Text:SetText( self.FontChoice3.Text:GetText() )
	end		

	self.FontChoice4 = Turbine.UI.Control();
	self.FontChoice4:SetSize( 150, 30 );
	self.FontChoice4:SetPosition( 330, 160 );
	self.FontChoice4:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.FontChoice4:SetParent( self.Window );
	self.FontChoice4:SetVisible( false );
	self.FontChoice4:SetZOrder( 10 )
	self.FontChoice4.MouseClick = function()
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )
			self.FontChoice.Text:SetText( self.FontChoice4.Text:GetText() )
	end

	self.FontChoice5 = Turbine.UI.Control();
	self.FontChoice5:SetSize( 150, 30 );
	self.FontChoice5:SetPosition( 330, 190 );
	self.FontChoice5:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.FontChoice5:SetParent( self.Window );
	self.FontChoice5:SetVisible( false );
	self.FontChoice5:SetZOrder( 10 )
	self.FontChoice5.MouseClick = function()
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )
			self.FontChoice.Text:SetText( self.FontChoice5.Text:GetText() )
	end

	self.FontChoice6 = Turbine.UI.Control();
	self.FontChoice6:SetSize( 150, 30 );
	self.FontChoice6:SetPosition( 330, 220 );
	self.FontChoice6:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxend.tga" );
	self.FontChoice6:SetParent( self.Window );
	self.FontChoice6:SetVisible( false );
	self.FontChoice6:SetZOrder(10 )
	self.FontChoice6.MouseClick = function()
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )
			self.FontChoice.Text:SetText( self.FontChoice6.Text:GetText() )
	end

	self.FontChoice.Text = Dropdownlabel();
	self.FontChoice.Text:SetPosition( 345, 50 );
	self.FontChoice.Text:SetVisible( true );
	self.FontChoice.Text:SetText( "30-point" )
	self.FontChoice.Text:SetParent( self.Window )

	self.FontChoice1.Text = Dropdownlabel();
	self.FontChoice1.Text:SetPosition( 345, 80 );
	self.FontChoice1.Text:SetText( "16-point" )
	self.FontChoice1.Text:SetZOrder( 10 )
	self.FontChoice1.Text:SetParent( self.Window )

	self.FontChoice2.Text = Dropdownlabel();
	self.FontChoice2.Text:SetPosition( 345, 110 );
	self.FontChoice2.Text:SetText( "22-point" )
	self.FontChoice2.Text:SetZOrder( 10 )
	self.FontChoice2.Text:SetParent( self.Window )

	self.FontChoice3.Text = Dropdownlabel();
	self.FontChoice3.Text:SetPosition( 345, 140 );
	self.FontChoice3.Text:SetText( "24-point" )
	self.FontChoice3.Text:SetZOrder( 10 )
	self.FontChoice3.Text:SetParent( self.Window )

	self.FontChoice4.Text = Dropdownlabel();
	self.FontChoice4.Text:SetPosition( 345, 170 );
	self.FontChoice4.Text:SetText( "25-point" )
	self.FontChoice4.Text:SetZOrder( 10 )
	self.FontChoice4.Text:SetParent( self.Window )

	self.FontChoice5.Text = Dropdownlabel();
	self.FontChoice5.Text:SetPosition( 345, 200 );
	self.FontChoice5.Text:SetText( "30-point" )
	self.FontChoice5.Text:SetZOrder( 10 )
	self.FontChoice5.Text:SetParent( self.Window )

	self.FontChoice6.Text = Dropdownlabel();
	self.FontChoice6.Text:SetPosition( 345, 230 );
	self.FontChoice6.Text:SetText( "36-point" )
	self.FontChoice6.Text:SetZOrder( 10 )
	self.FontChoice6.Text:SetParent( self.Window )

	self.ColorR = SettingsScroll();
	self.ColorR:SetParent( self.Window );
	self.ColorR:SetMinimum( 0 );
	self.ColorR:SetMaximum( 255 );
	self.ColorR:SetSmallChange( 1 );
	self.ColorR:SetLargeChange( 20 );
	self.ColorR:SetPosition( 40, 150 );
	self.ColorR:SetZOrder( -11 )
	self.ColorR.ValueChanged = function()
		self.rcomp = ( self.ColorR:GetValue() / 255 )
		self.Color = Turbine.UI.Color( self.rcomp, self.gcomp, self.bcomp )
		self.ColorBox:SetBackColor( self.Color )
		self.RColorL:SetText( "Red - "..( self.rcomp * 255 ) )
	end
	self.ColorG = SettingsScroll();
	self.ColorG:SetParent( self.Window );
	self.ColorG:SetMinimum( 0 );
	self.ColorG:SetMaximum( 255 );
	self.ColorG:SetSmallChange( 1 );
	self.ColorG:SetLargeChange( 20 );
	self.ColorG:SetPosition( 40, 165 );
	self.ColorG:SetZOrder( -11 )
	self.ColorG.ValueChanged = function()
		self.gcomp = ( self.ColorG:GetValue() / 255 )
		self.Color = Turbine.UI.Color( self.rcomp, self.gcomp, self.bcomp )
		self.ColorBox:SetBackColor( self.Color )
		self.GColorL:SetText( "Green - "..( self.gcomp * 255 ) )
	end

	self.ColorB = SettingsScroll();
	self.ColorB:SetParent( self.Window );
	self.ColorB:SetMinimum( 0 );
	self.ColorB:SetMaximum( 255 );
	self.ColorB:SetSmallChange( 1 );
	self.ColorB:SetLargeChange( 20 );
	self.ColorB:SetPosition( 40, 180 );
	self.ColorB:SetZOrder( -11 )
	self.ColorB.ValueChanged = function()
		self.bcomp = ( self.ColorB:GetValue() / 255 )
		self.Color = Turbine.UI.Color( self.rcomp, self.gcomp, self.bcomp )
		self.ColorBox:SetBackColor( self.Color )
		self.BColorL:SetText( "Blue - "..( self.bcomp * 255 ) )
	end

	self.RColorL = ScrollLabel();
	self.RColorL:SetPosition( 340, 150 );
	self.RColorL:SetParent( self.Window );
	self.RColorL:SetText( "Red - 255" )
	self.RColorL:SetZOrder( -11 )

	self.GColorL = ScrollLabel();
	self.GColorL:SetPosition( 340, 165 );
	self.GColorL:SetParent( self.Window );
	self.GColorL:SetText( "Green - 255" )
	self.GColorL:SetZOrder( -11 )

	self.BColorL = ScrollLabel();
	self.BColorL:SetPosition( 340, 180 );
	self.BColorL:SetParent( self.Window );
	self.BColorL:SetText( "Blue - 255" )
	self.BColorL:SetZOrder( -11 )

	self.ColorBox = Turbine.UI.Control();
	self.ColorBox:SetSize( 30, 30 );
	self.ColorBox:SetParent( self.Window );
	self.ColorBox:SetVisible( true );
	self.ColorBox:SetMouseVisible( false );
	self.ColorBox:SetPosition( 430, 155 );
	self.ColorBox:SetBackColor( red );
	self.ColorBox:SetZOrder( -11 )

	self.Donebutton = Turbine.UI.Lotro.Button();
	self.Donebutton:SetSize( 80, 30 );
	self.Donebutton:SetText( "Done" );
	self.Donebutton:SetVisible( true );
	self.Donebutton:SetParent( self.Window );
	self.Donebutton:SetPosition( 260, 270 );
	self.Donebutton.MouseClick = function()
		Editwin:SetVisible( false )
		self.Window:SetVisible( false )
		if self.Text:GetText() ~= "" and self.VisCrit.Text:GetText() ~= "Choose One" then

			self.EffectName = self.Text:GetText() --VAR1
			self.ScreenName = self.Text2:GetText() -- VAR2

			self.VisCriteria = self.VisCrit.Text:GetText() --VAR3
			self.VisCrit.Text:SetText( self.VisCriteria )

			if self.PresCheck:IsChecked() == true then
				self.Abspres = 1 --VAR4
				self.PresCheck:SetChecked( true )
			elseif self.PresCheck:IsChecked() == false then
				self.Abspres = 0 --VAR4
				self.PresCheck:SetChecked( false )
			end

			if self.DisCheck:IsChecked() == true then
				self.Dis = 1 --VAR5
				self.DisCheck:SetChecked( true )
				self.Warning:SetMouseVisible( true )
			elseif self.DisCheck:IsChecked() == false then
				self.Dis = 0 --VAR5
				self.DisCheck:SetChecked( false )
				self.Warning:SetMouseVisible( false )
			end

			self.rcomp = ( self.ColorR:GetValue() / 255 )
			self.gcomp = ( self.ColorG:GetValue() / 255 )
			self.bcomp = ( self.ColorB:GetValue() / 255 )
			self.Color = Turbine.UI.Color( self.rcomp, self.gcomp, self.bcomp )
			self.Warning:SetForeColor( self.Color )

			if self.FontChoice.Text:GetText() == "16-point" then
				self.Warning:SetFont( Turbine.UI.Lotro.Font.TrajanProBold16 )
			elseif self.FontChoice.Text:GetText() == "22-point" then
				self.Warning:SetFont( Turbine.UI.Lotro.Font.TrajanProBold22 )
			elseif self.FontChoice.Text:GetText() == "24-point" then
				self.Warning:SetFont( Turbine.UI.Lotro.Font.TrajanProBold24 )
			elseif self.FontChoice.Text:GetText() == "25-point" then
				self.Warning:SetFont( Turbine.UI.Lotro.Font.TrajanProBold25 )
			elseif self.FontChoice.Text:GetText() == "30-point" then
				self.Warning:SetFont( Turbine.UI.Lotro.Font.TrajanProBold30 )
			elseif self.FontChoice.Text:GetText() == "36-point" then
				self.Warning:SetFont( Turbine.UI.Lotro.Font.TrajanProBold36 )
			end

			self:SetText( self.EffectName )
			if self.ScreenName == "" then
			self.Warning:SetText( self.EffectName )
			elseif self.ScreenName ~= "" then
			self.Warning:SetText( self.ScreenName )
			end
		end
	end
end

Newwindowclass = class( Turbine.UI.Window );
function Newwindowclass:Constructor()
	Turbine.UI.Window.Constructor( self )
	self:SetVisible( false )
	self:SetMouseVisible( false )
	self:SetSize( 550, 300 );
	self:SetParent( Editwin );

	self.XBlock = Turbine.UI.Control();
	self.XBlock:SetParent( Editwin );
	self.XBlock:SetMouseVisible( true );
	self.XBlock:SetVisible( true );
	self.XBlock:SetSize( 30, 30 );
	self.XBlock:SetZOrder( 12 );
	self.XBlock:SetPosition( 575, 20 );

	self.Text = Textbox();
	self.Text:SetVisible( true )
	self.Text:SetPosition( 40, 40 );
	self.Text:SetParent( self );

	self.Text2 = Textbox();
	self.Text2:SetVisible( true )
	self.Text2:SetPosition( 40, 80 );
	self.Text2:SetParent( self );

	self.TextLabel = Turbine.UI.Label();
	self.TextLabel:SetVisible( true )
	self.TextLabel:SetSize( 100, 30 );
	self.TextLabel:SetText( "Effect Name" )
	self.TextLabel:SetMouseVisible( false )
	self.TextLabel:SetParent( self );
	self.TextLabel:SetPosition( 230, 50 );

	self.TextLabel2 = Turbine.UI.Label();
	self.TextLabel2:SetVisible( true )
	self.TextLabel2:SetSize( 100, 30 );
	self.TextLabel2:SetText( "On-screen Name (Optional)" )
	self.TextLabel2:SetMouseVisible( false )
	self.TextLabel2:SetParent( self );
	self.TextLabel2:SetPosition( 230, 90 );

	self.PresCheck = Checkbox();
	self.PresCheck:SetParent( self )
	self.PresCheck:SetVisible( true )
	self.PresCheck:SetText( "Absent/  Present" )
	self.PresCheck:SetPosition( 485, 90 );

	self.DisCheck = Checkbox();
	self.DisCheck:SetParent( self )
	self.DisCheck:SetVisible( true )
	self.DisCheck:SetText( "Dismiss" )
	self.DisCheck:SetPosition( 485, 35 );

	self.VisCrit = Turbine.UI.Control();
	self.VisCrit:SetZOrder( -10 );
	self.VisCrit:SetParent( self );
	self.VisCrit:SetSize( 150, 30 );
	self.VisCrit:SetPosition( 330, 100 );
	self.VisCrit:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxface.tga" );
	self.VisCrit.MouseClick = function()
		if self.VisCrit1:IsVisible() == false then
			self.VisCrit1:SetVisible( true )
			self.VisCrit2:SetVisible( true )
			self.VisCrit3:SetVisible( true )
			self.VisCrit1.Text:SetVisible( true )
			self.VisCrit2.Text:SetVisible( true )
			self.VisCrit3.Text:SetVisible( true )
		elseif self.VisCrit1:IsVisible() == true then
			self.VisCrit1:SetVisible( false )
			self.VisCrit2:SetVisible( false )
			self.VisCrit3:SetVisible( false )
			self.VisCrit1.Text:SetVisible( false )
			self.VisCrit2.Text:SetVisible( false )
			self.VisCrit3.Text:SetVisible( false )	
		end
	end
			
	self.VisCrit1 = Turbine.UI.Control();
	self.VisCrit1:SetSize( 150, 30 );
	self.VisCrit1:SetPosition( 330, 130 );
	self.VisCrit1:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.VisCrit1:SetParent( self );
	self.VisCrit1:SetVisible( false );
	self.VisCrit1:SetZOrder( -10 );
	self.VisCrit1.MouseClick = function()
			self.VisCrit1:SetVisible( false )
			self.VisCrit2:SetVisible( false )
			self.VisCrit3:SetVisible( false )
			self.VisCrit1.Text:SetVisible( false )
			self.VisCrit2.Text:SetVisible( false )
			self.VisCrit3.Text:SetVisible( false )
			self.VisCrit.Text:SetText( self.VisCrit1.Text:GetText() )
	end		

	self.VisCrit2 = Turbine.UI.Control();
	self.VisCrit2:SetSize( 150, 30 );
	self.VisCrit2:SetPosition( 330, 160 );
	self.VisCrit2:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.VisCrit2:SetParent( self );
	self.VisCrit2:SetVisible( false );
	self.VisCrit2:SetZOrder( -10 );
	self.VisCrit2.MouseClick = function()
			self.VisCrit1:SetVisible( false )
			self.VisCrit2:SetVisible( false )
			self.VisCrit3:SetVisible( false )
			self.VisCrit1.Text:SetVisible( false )
			self.VisCrit2.Text:SetVisible( false )
			self.VisCrit3.Text:SetVisible( false )
			self.VisCrit.Text:SetText( self.VisCrit2.Text:GetText() )
	end

	self.VisCrit3 = Turbine.UI.Control();
	self.VisCrit3:SetSize( 150, 30 );
	self.VisCrit3:SetPosition( 330, 190 );
	self.VisCrit3:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxend.tga" );
	self.VisCrit3:SetParent( self );
	self.VisCrit3:SetVisible( false );
	self.VisCrit3:SetZOrder( -10 );
	self.VisCrit3.MouseClick = function()
			self.VisCrit1:SetVisible( false )
			self.VisCrit2:SetVisible( false )
			self.VisCrit3:SetVisible( false )
			self.VisCrit1.Text:SetVisible( false )
			self.VisCrit2.Text:SetVisible( false )
			self.VisCrit3.Text:SetVisible( false )
			self.VisCrit.Text:SetText( self.VisCrit3.Text:GetText() )
	end

	self.VisCrit.Text = Dropdownlabel();
	self.VisCrit.Text:SetPosition( 345, 110 );
	self.VisCrit.Text:SetVisible( true );
	self.VisCrit.Text:SetText( "Choose One" )
	self.VisCrit.Text:SetParent( self )
	self.VisCrit.Text:SetZOrder( -10 );

	self.VisCrit1.Text = Dropdownlabel();
	self.VisCrit1.Text:SetPosition( 345, 140 );
	self.VisCrit1.Text:SetText( "Out of Combat" )
	self.VisCrit1.Text:SetParent( self )
	self.VisCrit1.Text:SetZOrder( -10 );

	self.VisCrit2.Text = Dropdownlabel();
	self.VisCrit2.Text:SetPosition( 345, 170 );
	self.VisCrit2.Text:SetText( "In Combat" )
	self.VisCrit2.Text:SetParent( self )
	self.VisCrit2.Text:SetZOrder( -10 );

	self.VisCrit3.Text = Dropdownlabel();
	self.VisCrit3.Text:SetPosition( 345, 200 );
	self.VisCrit3.Text:SetText( "Always" )
	self.VisCrit3.Text:SetParent( self )
	self.VisCrit3.Text:SetZOrder( -10 );

	self.FontChoice = Turbine.UI.Control();
	self.FontChoice:SetParent( self );
	self.FontChoice:SetSize( 150, 30 );
	self.FontChoice:SetPosition( 330, 40 );
	self.FontChoice:SetZOrder( 10 );
	self.FontChoice:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxface.tga" );
	self.FontChoice.MouseClick = function()
		if self.FontChoice1:IsVisible() == false then
			self.FontChoice1:SetVisible( true )
			self.FontChoice2:SetVisible( true )
			self.FontChoice3:SetVisible( true )
			self.FontChoice4:SetVisible( true )
			self.FontChoice5:SetVisible( true )
			self.FontChoice6:SetVisible( true )
			self.FontChoice1.Text:SetVisible( true )
			self.FontChoice2.Text:SetVisible( true )
			self.FontChoice3.Text:SetVisible( true )
			self.FontChoice4.Text:SetVisible( true )
			self.FontChoice5.Text:SetVisible( true )
			self.FontChoice6.Text:SetVisible( true )
		elseif self.FontChoice1:IsVisible() == true then
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )	
		end
	end
			
	self.FontChoice1 = Turbine.UI.Control();
	self.FontChoice1:SetSize( 150, 30 );
	self.FontChoice1:SetPosition( 330, 70 );
	self.FontChoice1:SetZOrder( 10 );
	self.FontChoice1:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.FontChoice1:SetParent( self );
	self.FontChoice1:SetVisible( false );
	self.FontChoice1.MouseClick = function()
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )
			self.FontChoice.Text:SetText( self.FontChoice1.Text:GetText() )
	end		

	self.FontChoice2 = Turbine.UI.Control();
	self.FontChoice2:SetSize( 150, 30 );
	self.FontChoice2:SetPosition( 330, 100 );
	self.FontChoice2:SetZOrder( 10 );
	self.FontChoice2:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.FontChoice2:SetParent( self );
	self.FontChoice2:SetVisible( false );
	self.FontChoice2:SetZOrder( 5 )
	self.FontChoice2.MouseClick = function()
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )
			self.FontChoice.Text:SetText( self.FontChoice2.Text:GetText() )
	end

	self.FontChoice3 = Turbine.UI.Control();
	self.FontChoice3:SetSize( 150, 30 );
	self.FontChoice3:SetPosition( 330, 130 );
	self.FontChoice3:SetZOrder( 10 );
	self.FontChoice3:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.FontChoice3:SetParent( self );
	self.FontChoice3:SetVisible( false );
	self.FontChoice3.MouseClick = function()
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )
			self.FontChoice.Text:SetText( self.FontChoice3.Text:GetText() )
	end		

	self.FontChoice4 = Turbine.UI.Control();
	self.FontChoice4:SetSize( 150, 30 );
	self.FontChoice4:SetPosition( 330, 160 );
	self.FontChoice4:SetZOrder( 10 );
	self.FontChoice4:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.FontChoice4:SetParent( self );
	self.FontChoice4:SetVisible( false );
	self.FontChoice4.MouseClick = function()
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )
			self.FontChoice.Text:SetText( self.FontChoice4.Text:GetText() )
	end

	self.FontChoice5 = Turbine.UI.Control();
	self.FontChoice5:SetSize( 150, 30 );
	self.FontChoice5:SetPosition( 330, 190 );
	self.FontChoice5:SetZOrder( 10 );
	self.FontChoice5:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxmid.tga" );
	self.FontChoice5:SetParent( self );
	self.FontChoice5:SetVisible( false );
	self.FontChoice5.MouseClick = function()
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )
			self.FontChoice.Text:SetText( self.FontChoice5.Text:GetText() )
	end

	self.FontChoice6 = Turbine.UI.Control();
	self.FontChoice6:SetSize( 150, 30 );
	self.FontChoice6:SetPosition( 330, 220 );
	self.FontChoice6:SetZOrder( 10 );
	self.FontChoice6:SetBackground( "CajePlugins/HUDPlus/Resources/Dropboxend.tga" );
	self.FontChoice6:SetParent( self );
	self.FontChoice6:SetVisible( false );
	self.FontChoice6.MouseClick = function()
			self.FontChoice1:SetVisible( false )
			self.FontChoice2:SetVisible( false )
			self.FontChoice3:SetVisible( false )
			self.FontChoice4:SetVisible( false )
			self.FontChoice5:SetVisible( false )
			self.FontChoice6:SetVisible( false )
			self.FontChoice1.Text:SetVisible( false )
			self.FontChoice2.Text:SetVisible( false )
			self.FontChoice3.Text:SetVisible( false )
			self.FontChoice4.Text:SetVisible( false )
			self.FontChoice5.Text:SetVisible( false )
			self.FontChoice6.Text:SetVisible( false )
			self.FontChoice.Text:SetText( self.FontChoice6.Text:GetText() )
	end

	self.FontChoice.Text = Dropdownlabel();
	self.FontChoice.Text:SetPosition( 345, 50 );
	self.FontChoice.Text:SetVisible( true );
	self.FontChoice.Text:SetText( "30-point" )
	self.FontChoice.Text:SetParent( self )
	self.FontChoice.Text:SetZOrder( 10 );

	self.FontChoice1.Text = Dropdownlabel();
	self.FontChoice1.Text:SetPosition( 345, 80 );
	self.FontChoice1.Text:SetText( "16-point" )
	self.FontChoice1.Text:SetParent( self )
	self.FontChoice1.Text:SetZOrder( 10 );

	self.FontChoice2.Text = Dropdownlabel();
	self.FontChoice2.Text:SetPosition( 345, 110 );
	self.FontChoice2.Text:SetText( "22-point" )
	self.FontChoice2.Text:SetZOrder( 5 )
	self.FontChoice2.Text:SetParent( self )
	self.FontChoice2.Text:SetZOrder( 10 );

	self.FontChoice3.Text = Dropdownlabel();
	self.FontChoice3.Text:SetPosition( 345, 140 );
	self.FontChoice3.Text:SetText( "24-point" )
	self.FontChoice3.Text:SetParent( self )
	self.FontChoice3.Text:SetZOrder( 10 );

	self.FontChoice4.Text = Dropdownlabel();
	self.FontChoice4.Text:SetPosition( 345, 170 );
	self.FontChoice4.Text:SetText( "25-point" )
	self.FontChoice4.Text:SetParent( self )
	self.FontChoice4.Text:SetZOrder( 10 );

	self.FontChoice5.Text = Dropdownlabel();
	self.FontChoice5.Text:SetPosition( 345, 200 );
	self.FontChoice5.Text:SetText( "30-point" )
	self.FontChoice5.Text:SetParent( self )
	self.FontChoice5.Text:SetZOrder( 10 );

	self.FontChoice6.Text = Dropdownlabel();
	self.FontChoice6.Text:SetPosition( 345, 230 );
	self.FontChoice6.Text:SetText( "36-point" )
	self.FontChoice6.Text:SetParent( self )
	self.FontChoice6.Text:SetZOrder( 10 );

	self.ColorR = SettingsScroll();
	self.ColorR:SetParent( self );
	self.ColorR:SetMinimum( 0 );
	self.ColorR:SetMaximum( 255 );
	self.ColorR:SetSmallChange( 1 );
	self.ColorR:SetLargeChange( 20 );
	self.ColorR:SetPosition( 40, 150 );
	self.ColorR:SetZOrder( -11 )
	self.ColorR.ValueChanged = function()
		self.rcomp = ( self.ColorR:GetValue() / 255 )
		self.Color = Turbine.UI.Color( self.rcomp, self.gcomp, self.bcomp )
		self.ColorBox:SetBackColor( self.Color )
		self.RColorL:SetText( "Red - "..( self.rcomp * 255 ) )
	end
	self.ColorG = SettingsScroll();
	self.ColorG:SetParent( self );
	self.ColorG:SetMinimum( 0 );
	self.ColorG:SetMaximum( 255 );
	self.ColorG:SetSmallChange( 1 );
	self.ColorG:SetLargeChange( 20 );
	self.ColorG:SetPosition( 40, 165 );
	self.ColorG:SetZOrder( -11 )
	self.ColorG.ValueChanged = function()
		self.gcomp = ( self.ColorG:GetValue() / 255 )
		self.Color = Turbine.UI.Color( self.rcomp, self.gcomp, self.bcomp )
		self.ColorBox:SetBackColor( self.Color )
		self.GColorL:SetText( "Green - "..( self.gcomp * 255 ) )
	end

	self.ColorB = SettingsScroll();
	self.ColorB:SetParent( self );
	self.ColorB:SetMinimum( 0 );
	self.ColorB:SetMaximum( 255 );
	self.ColorB:SetSmallChange( 1 );
	self.ColorB:SetLargeChange( 20 );
	self.ColorB:SetPosition( 40, 180 );
	self.ColorB:SetZOrder( -11 )
	self.ColorB.ValueChanged = function()
		self.bcomp = ( self.ColorB:GetValue() / 255 )
		self.Color = Turbine.UI.Color( self.rcomp, self.gcomp, self.bcomp )
		self.ColorBox:SetBackColor( self.Color )
		self.BColorL:SetText( "Blue - "..( self.bcomp * 255 ) )
	end

	self.RColorL = ScrollLabel();
	self.RColorL:SetPosition( 340, 150 );
	self.RColorL:SetParent( self );
	self.RColorL:SetText( "Red - 0" )
	self.RColorL:SetZOrder( -11 )

	self.GColorL = ScrollLabel();
	self.GColorL:SetPosition( 340, 165 );
	self.GColorL:SetParent( self );
	self.GColorL:SetText( "Green - 0" )
	self.GColorL:SetZOrder( -11 )

	self.BColorL = ScrollLabel();
	self.BColorL:SetPosition( 340, 180 );
	self.BColorL:SetParent( self );
	self.BColorL:SetText( "Blue - 0" )
	self.BColorL:SetZOrder( -11 )

	self.ColorBox = Turbine.UI.Control();
	self.ColorBox:SetSize( 30, 30 );
	self.ColorBox:SetParent( self );
	self.ColorBox:SetVisible( true );
	self.ColorBox:SetMouseVisible( false );
	self.ColorBox:SetPosition( 430, 155 );
	self.ColorBox:SetZOrder( -11 )

	self.Donebutton = Turbine.UI.Lotro.Button();
	self.Donebutton:SetSize( 80, 30 );
	self.Donebutton:SetText( "Done" );
	self.Donebutton:SetVisible( true );
	self.Donebutton:SetParent( self );
	self.Donebutton:SetPosition( 260, 270 );
	self.Donebutton.MouseClick = function()
		Editwin:SetVisible( false )
		NewWindow:SetVisible( false )
		if NewWindow.PresCheck:IsChecked() == true then
		Abspres = 1
		elseif NewWindow.PresCheck:IsChecked() == false then
		Abspres = 0
		end
		if NewWindow.DisCheck:IsChecked() == true then
		Dis = 1
		elseif NewWindow.DisCheck:IsChecked() == false then
		Dis = 0
		end
		Ebox.AddNewItem( NewWindow.Text:GetText(), NewWindow.Text2:GetText(), NewWindow.VisCrit.Text:GetText(), NewWindow.FontChoice.Text:GetText(), Abspres, Dis, NewWindow.Color, nil )
		NewWindow.Text:SetText( "" )
		NewWindow.Text2:SetText("")
	end
end

NewWindow = Newwindowclass();